SLAPPASSWD(8C)

NAME
slappassword - OpenLDAP password utility

SYNOPSIS
SBINDIR/slappasswd [-v] [-s secret] [-h hash]

DESCRIPTION

Slappasswd is used to compute a hashed password suitable for use as a userPassword value slapd.conf(5) rootpw.

OPTIONS

-v  enable verbose mode.

-s secret
    The secret to hash. If not provided, the user will be prompted for the secret to hash.

-h hash
    The hash algorithm to use. Algorithms supported include {CRYPT}, {MD5}, {SMD5}, {SSHA}, and {SHA}. The default is {SSHA}.

LIMITATIONS
The practice storing hashed passwords in userPassword violates Standard Track schema and may hinder interoperability.

SECURITY CONSIDERATIONS
Use of hashed passwords does not protect passwords during protocol transfer. TLS or other eavesdropping protections should be inplace before using LDAP simple bind. The hashed password values should be protected as if they were clear text passwords.

SEE ALSO
ldapmodify(3), slapd(8)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.